Test::Float::Assignment Class Referenceabstract

Base class for assignments More...

`#include <float.hh>`

## Public Member Functions

| Assignment (int n0, const Gecode::FloatVal &d0)
| Initialize assignments for n0 variables and values d0.
virtual bool | operator() (void) const =0
| Test whether all assignments have been iterated.
virtual void | operator++ (void)=0
| Move to next assignment.
virtual Gecode::FloatVal | operator[] (int i) const =0
| Return value for variable i.
virtual void | set (int i, const Gecode::FloatVal &val)=0
| Set assignment to value val for variable i.
int | size (void) const
| Return number of variables.
virtual | ~Assignment (void)
| Destructor.

## Protected Attributes

int | n
| Number of variables.
Gecode::FloatVal | d
| Domain for each variable.

## Detailed Description

Base class for assignments

Definition at line 80 of file float.hh.

## Constructor & Destructor Documentation

## Assignment()

Test::Float::Assignment::Assignment | ( | int | n0,
|  | const Gecode::FloatVal & | d0 )

inline

Initialize assignments for n0 variables and values d0.

Definition at line 45 of file float.hpp.

## ~Assignment()

Test::Float::Assignment::~Assignment | ( | void |  | ) |

inline virtual

Destructor.

Definition at line 52 of file float.hpp.

## Member Function Documentation

## operator()()

virtual bool Test::Float::Assignment::operator() | ( | void |  | ) | const

pure virtual

Test whether all assignments have been iterated.

Implemented in Test::Float::CpltAssignment, Test::Float::ExtAssignment, and Test::Float::RandomAssignment.

## operator++()

virtual void Test::Float::Assignment::operator++ | ( | void |  | ) |

pure virtual

Move to next assignment.

Implemented in Test::Float::CpltAssignment, Test::Float::ExtAssignment, and Test::Float::RandomAssignment.

## operator[]()

virtual Gecode::FloatVal Test::Float::Assignment::operator[] | ( | int | i | ) | const

pure virtual

Return value for variable i.

Implemented in Test::Float::CpltAssignment, Test::Float::ExtAssignment, and Test::Float::RandomAssignment.

## set()

virtual void Test::Float::Assignment::set | ( | int | i,
|  | const Gecode::FloatVal & | val )

pure virtual

Set assignment to value val for variable i.

Implemented in Test::Float::CpltAssignment, Test::Float::ExtAssignment, and Test::Float::RandomAssignment.

## size()

int Test::Float::Assignment::size | ( | void |  | ) | const

inline

Return number of variables.

Definition at line 48 of file float.hpp.

## Member Data Documentation

## n

int Test::Float::Assignment::n

protected

Number of variables.

Definition at line 82 of file float.hh.

## d

Gecode::FloatVal Test::Float::Assignment::d

protected

Domain for each variable.

Definition at line 83 of file float.hh.

The documentation for this class was generated from the following files:

- test/float.hh
- test/float.hpp